@import url('https://fonts.googleapis.com/css2?family=Poppins:ital,wght@0,300;0,400;0,500;0,600;0,700;1,800&display=swap');

/* -------------------------- default styles ---------------- */
*{
    outline: 0;
    border: 0;
    padding: 0;
    margin: 0;
    appearance: none;
    text-decoration: none;
    list-style: none;
    box-sizing: border-box;
}

html{
      font-size: 14px;
}

:root{
    --color-primary: #7380ec;
    --color-danger: #ff7782;
    --color-succes: #41f1b6;
    --color-warning: #ffbb55;
    --color-info-dark: #7d8da1;
    --color-info-light: #dce1eb;
    --color-dark: #363949;
    --color-white: #fff;
    --color-light: rgba(132, 139, 200, 0.18);
    --color-primary-variant: #111e88;
    --color-dark-variant: #677483;
    --color-background: #f6f6f9;

    --card-border-radius: 2rem;
    --border-radius-1: 0.4rem;
    --border-radius-2: 0.8rem;
    --border-radius-3: 1.2rem;

    --card-padding: 1.8rem;
    --padding-1: 1.2rem;

    --box-shadow: 0 2rem 3rem var(--color-light);
}

.dark-theme-variables{
    --color-background: #181a1e;
    --color-white: #202548;
    --color-dark: #edeffd;
    --color-light: rgba(0, 0, 0, 0.4);
    --color-dark-variant: #a3bdcc;
    --box-shadow: 0 2rem 3rem var(--color-light);
}

a{
    color: var(--color-dark);
}

h1{
    font-weight: 800;
    font-size: 1.8rem;
}

h2{
    font-size: 1.4rem;
}

h3{
    font-size: 0.87rem;
}

h4{
    font-size: 0.8rem ;
}

h5{
    font-size: 0.77rem;
}

small{
    font-size: 0.75rem;
}

.profile_photo{
    width: 2.8rem;
    height: 2.8rem;
    border-radius: 50%;
    overflow: hidden;
}

.text_muted{
    color: var(--color-info-dark);
}

p{
    color: var(--color-dark-variant) ;
}

b{
    color: var(--color-dark);
}

.primary{
    color: var(--color-primary);
}

.success{
    color: var(--color-succes);
}

.warning{
    color: var(--color-warning);
}

.danger_span{
    color: var(--color-danger);
}

img{
    width: 100%;
    display: block;
}

/* ----------------------------- body ------------------------------- */

body{
    width: 100vw;
    height: 100vh;
    font-family: poppins, sans-serif;
    font-size: 0.88rem;
    background-color: var(--color-background);
    user-select: none;
    overflow-x: hidden;
    color: var(--color-dark);
}

.container{
    display: grid;
    grid-template-columns: 12rem auto 19rem ;
    width: 96%;
    margin: 0 auto;
    gap: 1.8rem;
}

/* ------------------------ aside -------------------------- */

.nav{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
}

aside{
   height: 100vh;
}

aside .top{
    display: flex;
    flex-direction: row;
    align-items: center;
    gap: 8px;
    margin-top: 1.2rem;
}

.img{
    width: 2rem;
    height: 2rem;
}

aside .close{
    margin-top: 1.2rem;
    display: none;
}

aside .side_bar{
    display: flex;
    flex-direction: column;
    height: 86vh;
    position: relative;
    top: 3rem;
}

aside h3{
    font-weight: 500;
}

aside .side_bar a{
    display: flex;
    color: var(--color-info-dark);
    margin-left: 2rem;
    gap: 1rem;
    align-items: center;
    position: relative;
    height: 3.7rem;
    transition: all 300ms ease;
}

aside .side_bar a span{
    font-size: 1.6rem;
    transition: all 300ms ease;
}

aside .side_bar a:last-child{
    position: absolute;
    bottom: 2rem;
    width: 100%;
}

aside .side_bar a.active{
    background: var(--color-light);
    color: var(--color-primary);
    margin: 0;
}

aside .side_bar a.active:before{
    content: "";
    width: 6px;
    height: 100%;
    background: var(--color-primary);
}

aside .side_bar a.active span{
    color: var(--color-primary);
    margin-left: calc(1rem - 3px) ;
}

aside .side_bar a:hover{
    color: var(--color-primary);
}

aside .side_bar a:hover span{
    margin-left: 1rem;
}

aside .side_bar .message_count{
    background: var(--color-danger);
    color: var(--color-white);
    padding: 2px 10px;
    font-size: 11px;
    border-radius: var(--border-radius-3);
}

/* ------------------- main-container------------------- */

main{
    margin: 1.4rem;
}

main .date{
    display: inline-block;
    background: var(--color-info-light);
    border-radius: var(--border-radius-1);
    margin-top: 1rem;
    padding: 0.5rem 1.6rem;
}

main .date input{
    background: none;
    color: var(--color-dark);
    cursor: pointer;
}

main .insights{
   display: grid;
   grid-template-columns: repeat(3,1fr);
   gap: 1.6rem;
}

main .insights > div {
    cursor: pointer;
    background: var(--color-white);
    padding: var(--card-padding);
    border-radius: var(--card-border-radius);
    margin-top: 2rem;
    box-shadow: var(--box-shadow);
    transition: all  300ms ease;
}

main .insights > div:hover{
    box-shadow: none;
}

main .insights > div span{
    background: var(--color-primary);
    padding: 0.5rem;
    border-radius: 50%;
    color: var(---color-white);
    font-size: 2rem;
}

main .insights > div.expenses span{
    background: var(--color-danger);
}

main .insights > div.income span{
    background: var(--color-succes);
}


main .insights > div .middle{
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: space-between;
    gap: 2rem;
    /* border: 2px solid black; */
}

main .insights h3{
    margin: 1rem 0 0.6rem;
    font-size: 1rem;
}

/* -------- positioning the progress -------- */

main .insights .progress{
    position: relative;
    width: 92px;
    height: 92px;
    border-radius: 50%;
}

main .insights svg{
    width: 7rem;
    height: 7rem;
}

main .insights svg circle{
    fill: none;
    stroke: var(--color-primary);
    stroke-width: 12;
    stroke-linecap: round;
    transform: translate(5px,5px);
    stroke-dasharray:110 ;
    stroke-dashoffset: 92;
}

main .insights .sales svg circle{
    stroke-dashoffset: -30;
    stroke-dasharray: 200 ;
}

main .insights .expenses svg circle{
    stroke-dashoffset: 10;
    stroke-dasharray: 80;
}

main .insights .income svg circle{
    stroke-dashoffset: 35;
    stroke-dasharray: 110;
}

/* ----------- positioning the number inside the progress */

main .insights .progress .number{
    position: absolute;
    top: 0;
    left: 0;
    height: 100%;
    width: 100%;
    display: flex;
    justify-content: center;
    align-items: center;
}

main .insights small{
    display: block;
    margin-top: 2rem;
}

main .recent_orders {
    margin-top: 2rem;
}

main .recent_orders h2{
    margin-bottom: 0.8rem;
}

main .recent_orders table{
    cursor: pointer;
    background: var(--color-white);
    width: 100%;
    border-radius: var(--card-border-radius);
    padding: var(--card-padding);
    text-align: center;
    box-shadow: var(--box-shadow);
    transition: all 300ms ease;
}

main .recent_orders table:hover{
    box-shadow: none;
}

main table tbody td{
    height: 2.8rem;
    border-bottom: 1px solid var(--color-light);
    color: var(--color-dark-variant);
}

main table tbody tr:last-child td{
    border: none;
}

main .recent_orders a{
    display: block;
    text-align: center;
    margin: 1rem auto;
    color: var(--color-primary);
}

/* ----------- right div(top) -------------- */

.right{
    margin-top: 1.4rem;
}

.right .top{
    display: flex;
    justify-content: end;
    gap: 2rem;
}

.right .top button{
    display: none;
}

.right .theme_toggler{
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: var(--color-light);
    height: 1.6rem;
    width: 4.2rem;
    cursor: pointer;
    border-radius: var(--border-radius-1);
}

.right .theme_toggler span{
    font-weight: bold;
    font-size: 1.2rem;
    width: 50%;
    height: 100%;
    display: flex;
    align-items: center;
    justify-content: center;
}

.right .theme_toggler span.active{
    background: var(--color-primary);
    color: white;
    border-radius: var(--border-radius-1);
}

.right .top .profile{
    display: flex;
    gap: 2rem;
    text-align: right;
}


/* ------------- right div (recent update) -------------*/

.right .recent_updates{
    margin-top: 1rem;
}

.right .recent_updates h2{
    margin-bottom: 0.8rem;
}

.right .recent_updates .updates{
    background: var(--color-white);
    padding: var(--card-padding);
    border-radius: var(--card-border-radius);
    box-shadow: var(--box-shadow);
    transition: all 300ms ease;
    cursor: pointer;
}

.right .recent_updates .updates:hover{
    box-shadow: none;
}

.right .recent_updates .updates .update{
    display: grid;
    grid-template-columns: 2.6rem auto;
    gap: 1rem;
    margin-bottom: 1rem;
}

/* ------------------------ right div (sales analytics)----------------------- */

.right .sales_analytics{
    margin-top: 2rem;
}

.right .sales_analytics h2{
    margin-bottom: 0.8rem;
}

.right .sales_analytics .item{
    background: var(--color-white);
    display: flex;
    align-items: center;
    gap: 1rem;
    margin: 1rem;
    padding: 1.4rem var(--card-padding);
    border-radius: var(--border-radius-3);
    box-shadow: var(--box-shadow);
    transition: all 300ms ease;
    cursor: pointer;
}

.right .sales_analytics .item:hover{
   box-shadow: none;
}

.right .sales_analytics .item .right{
    display: flex;
    justify-content: space-between;
    align-items: start;
    margin: 0;
    width: 100%;
}

.right .sales_analytics .item .icon{
    padding: 0.6rem;
    color: var(--color-white);
    border-radius: 50%;
    background: var(--color-primary);
    display: flex;
}

.right .sales_analytics .item.offline .icon{
    background-color: var(--color-danger);
}

.right .sales_analytics .item.new_customers .icon{
    background-color: var(--color-succes);
}

.right .sales_analytics .add_product{
    background: transparent;
    border: 2px dashed var(--color-primary);
    color: var(--color-primary);
    display: flex;
    align-items: center;
    justify-content: center;
}

/* ------------------------media queries------------------------------- */
/* big tablets & small laptops */

@media screen and (max-width: 1400px){

    /* side-bar */

    .container{
        width: 94%;
        grid-template-columns: 7rem auto 23rem;
    } 

    aside h2{
        display: none;
    }

    aside .side_bar h3{
        display: none;
    }

    aside .side_bar a{
        width: 5.6rem ;
    }

    aside .side_bar a:last-child{
        position: relative;
        margin-top: 1.8rem;
    }

    /* main container */
    
    main .insights {
        grid-template-columns: 1fr;
        gap: 0;
    }

    main .recent_orders{
        width: 94%;
        position: absolute;
        left: 50%;
        transform: translateX(-50%);
        margin: 2rem 0 0 8.8rem;
    }

    main .recent_orders table{
        width: 83vw;
    }

    main table thead tr th:last-child,
    main table thead tr th:first-child{
        display: none;
    }
     
    main table tbody tr td:last-child,
    main table tbody tr td:first-child{
        display: none;
    }
}

/* smaller tablets & mobile */
@media screen and (max-width: 768px){
    .container{
        width: 100%;
        grid-template-columns: 1fr;
    }

    aside{
        position: fixed;
        left: -100%;
        background: var(--color-white);
        width: 18rem;
        z-index: 3;
        box-shadow: 1rem 3rem 4rem var(--color-light);
        height: 100vh;
        padding-right: var(--card-padding);
        display: none;
        animation: showMenu 400ms ease forwards;
    }

    @keyframes showMenu {
        to{
            left: 0;
        }
    }

    aside .logo{
        margin-left: 1rem;
    }

    aside h2{
        display: inline;
    }

    aside .side_bar h3{ 
        display: inline;
    } 

    aside .side_bar a{
        width: 100%;
        height: 3.4rem;
    }

    aside .side_bar a:last-child{
        position: absolute;
        bottom: 5rem;
    }

    aside .close{
        display: inline-block;
        cursor: pointer;
    }

    main{
        margin-top: 8rem;
        padding: 0 1rem;
    }

    main .recent_orders{
        position: relative;
        margin: 3rem 0 0 0;
        width: 100%;
    }

    main .recent_orders table{
        width: 100%;
        margin: 0;
    }

    .right{
        width: 94%;
        margin: 0 auto 4rem;
    }
  
    .right .top{
        position: fixed;
        top: 0;
        left: 0;
        align-items: center;
        padding: 0 0.8rem;
        height: 4.6rem;
        background: var(--color-white);
        width: 100%;
        margin: 0;
        z-index: 2;
        box-shadow: 0 1rem 1rem var(--color-light);
    }

    .right .top .theme_toggler{
        width: 4.4rem;
        position: absolute;
        left: 66%;
    }

    .right .profile .info{
        display: none;
    }

    .right .top button{
        display: inline-block;
        background: transparent;
        cursor: pointer;
        color: var(--color-dark);
        position: absolute;
        left: 1rem;
        font-size: 2rem;
    }

    .right .top button span{
        font-size: 2rem;
    }


}



